Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.0.0.0/0
Usable hosts4,294,967,294
Subnet mask0.0.0.0
Addresses4,294,967,296
Network address
0.0.0.0
Broadcast address
255.255.255.255
First usable
0.0.0.1
Last usable
255.255.255.254
Usable hosts
4,294,967,294 (4,294,967,296 less the network and broadcast addresses)
Subnet mask
0.0.0.0
Wildcard mask
255.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/0
Type
Public public
Old class
A (default /8)
As numbers
Hex 00000000 · Integer 0 to 4294967295
Reverse DNS zone
in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.00000000.00000000.000000000.0.0.0
Subnet mask00000000.00000000.00000000.000000000.0.0.0
Network00000000.00000000.00000000.000000000.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/7

0.0.0.0/0 makes 128 subnets of /7.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.0.0.0/70.0.0.1 to 1.255.255.2541.255.255.25533,554,430
22.0.0.0/72.0.0.1 to 3.255.255.2543.255.255.25533,554,430
34.0.0.0/74.0.0.1 to 5.255.255.2545.255.255.25533,554,430
46.0.0.0/76.0.0.1 to 7.255.255.2547.255.255.25533,554,430
58.0.0.0/78.0.0.1 to 9.255.255.2549.255.255.25533,554,430
610.0.0.0/710.0.0.1 to 11.255.255.25411.255.255.25533,554,430
712.0.0.0/712.0.0.1 to 13.255.255.25413.255.255.25533,554,430
814.0.0.0/714.0.0.1 to 15.255.255.25415.255.255.25533,554,430
916.0.0.0/716.0.0.1 to 17.255.255.25417.255.255.25533,554,430
1018.0.0.0/718.0.0.1 to 19.255.255.25419.255.255.25533,554,430
1120.0.0.0/720.0.0.1 to 21.255.255.25421.255.255.25533,554,430
1222.0.0.0/722.0.0.1 to 23.255.255.25423.255.255.25533,554,430
1324.0.0.0/724.0.0.1 to 25.255.255.25425.255.255.25533,554,430
1426.0.0.0/726.0.0.1 to 27.255.255.25427.255.255.25533,554,430
1528.0.0.0/728.0.0.1 to 29.255.255.25429.255.255.25533,554,430
1630.0.0.0/730.0.0.1 to 31.255.255.25431.255.255.25533,554,430
1732.0.0.0/732.0.0.1 to 33.255.255.25433.255.255.25533,554,430
1834.0.0.0/734.0.0.1 to 35.255.255.25435.255.255.25533,554,430
1936.0.0.0/736.0.0.1 to 37.255.255.25437.255.255.25533,554,430
2038.0.0.0/738.0.0.1 to 39.255.255.25439.255.255.25533,554,430
2140.0.0.0/740.0.0.1 to 41.255.255.25441.255.255.25533,554,430
2242.0.0.0/742.0.0.1 to 43.255.255.25443.255.255.25533,554,430
2344.0.0.0/744.0.0.1 to 45.255.255.25445.255.255.25533,554,430
2446.0.0.0/746.0.0.1 to 47.255.255.25447.255.255.25533,554,430
2548.0.0.0/748.0.0.1 to 49.255.255.25449.255.255.25533,554,430
2650.0.0.0/750.0.0.1 to 51.255.255.25451.255.255.25533,554,430
2752.0.0.0/752.0.0.1 to 53.255.255.25453.255.255.25533,554,430
2854.0.0.0/754.0.0.1 to 55.255.255.25455.255.255.25533,554,430
2956.0.0.0/756.0.0.1 to 57.255.255.25457.255.255.25533,554,430
3058.0.0.0/758.0.0.1 to 59.255.255.25459.255.255.25533,554,430
3160.0.0.0/760.0.0.1 to 61.255.255.25461.255.255.25533,554,430
3262.0.0.0/762.0.0.1 to 63.255.255.25463.255.255.25533,554,430
3364.0.0.0/764.0.0.1 to 65.255.255.25465.255.255.25533,554,430
3466.0.0.0/766.0.0.1 to 67.255.255.25467.255.255.25533,554,430
3568.0.0.0/768.0.0.1 to 69.255.255.25469.255.255.25533,554,430
3670.0.0.0/770.0.0.1 to 71.255.255.25471.255.255.25533,554,430
3772.0.0.0/772.0.0.1 to 73.255.255.25473.255.255.25533,554,430
3874.0.0.0/774.0.0.1 to 75.255.255.25475.255.255.25533,554,430
3976.0.0.0/776.0.0.1 to 77.255.255.25477.255.255.25533,554,430
4078.0.0.0/778.0.0.1 to 79.255.255.25479.255.255.25533,554,430
4180.0.0.0/780.0.0.1 to 81.255.255.25481.255.255.25533,554,430
4282.0.0.0/782.0.0.1 to 83.255.255.25483.255.255.25533,554,430
4384.0.0.0/784.0.0.1 to 85.255.255.25485.255.255.25533,554,430
4486.0.0.0/786.0.0.1 to 87.255.255.25487.255.255.25533,554,430
4588.0.0.0/788.0.0.1 to 89.255.255.25489.255.255.25533,554,430
4690.0.0.0/790.0.0.1 to 91.255.255.25491.255.255.25533,554,430
4792.0.0.0/792.0.0.1 to 93.255.255.25493.255.255.25533,554,430
4894.0.0.0/794.0.0.1 to 95.255.255.25495.255.255.25533,554,430
4996.0.0.0/796.0.0.1 to 97.255.255.25497.255.255.25533,554,430
5098.0.0.0/798.0.0.1 to 99.255.255.25499.255.255.25533,554,430
51100.0.0.0/7100.0.0.1 to 101.255.255.254101.255.255.25533,554,430
52102.0.0.0/7102.0.0.1 to 103.255.255.254103.255.255.25533,554,430
53104.0.0.0/7104.0.0.1 to 105.255.255.254105.255.255.25533,554,430
54106.0.0.0/7106.0.0.1 to 107.255.255.254107.255.255.25533,554,430
55108.0.0.0/7108.0.0.1 to 109.255.255.254109.255.255.25533,554,430
56110.0.0.0/7110.0.0.1 to 111.255.255.254111.255.255.25533,554,430
57112.0.0.0/7112.0.0.1 to 113.255.255.254113.255.255.25533,554,430
58114.0.0.0/7114.0.0.1 to 115.255.255.254115.255.255.25533,554,430
59116.0.0.0/7116.0.0.1 to 117.255.255.254117.255.255.25533,554,430
60118.0.0.0/7118.0.0.1 to 119.255.255.254119.255.255.25533,554,430
61120.0.0.0/7120.0.0.1 to 121.255.255.254121.255.255.25533,554,430
62122.0.0.0/7122.0.0.1 to 123.255.255.254123.255.255.25533,554,430
63124.0.0.0/7124.0.0.1 to 125.255.255.254125.255.255.25533,554,430
64126.0.0.0/7126.0.0.1 to 127.255.255.254127.255.255.25533,554,430
65128.0.0.0/7128.0.0.1 to 129.255.255.254129.255.255.25533,554,430
66130.0.0.0/7130.0.0.1 to 131.255.255.254131.255.255.25533,554,430
67132.0.0.0/7132.0.0.1 to 133.255.255.254133.255.255.25533,554,430
68134.0.0.0/7134.0.0.1 to 135.255.255.254135.255.255.25533,554,430
69136.0.0.0/7136.0.0.1 to 137.255.255.254137.255.255.25533,554,430
70138.0.0.0/7138.0.0.1 to 139.255.255.254139.255.255.25533,554,430
71140.0.0.0/7140.0.0.1 to 141.255.255.254141.255.255.25533,554,430
72142.0.0.0/7142.0.0.1 to 143.255.255.254143.255.255.25533,554,430
73144.0.0.0/7144.0.0.1 to 145.255.255.254145.255.255.25533,554,430
74146.0.0.0/7146.0.0.1 to 147.255.255.254147.255.255.25533,554,430
75148.0.0.0/7148.0.0.1 to 149.255.255.254149.255.255.25533,554,430
76150.0.0.0/7150.0.0.1 to 151.255.255.254151.255.255.25533,554,430
77152.0.0.0/7152.0.0.1 to 153.255.255.254153.255.255.25533,554,430
78154.0.0.0/7154.0.0.1 to 155.255.255.254155.255.255.25533,554,430
79156.0.0.0/7156.0.0.1 to 157.255.255.254157.255.255.25533,554,430
80158.0.0.0/7158.0.0.1 to 159.255.255.254159.255.255.25533,554,430
81160.0.0.0/7160.0.0.1 to 161.255.255.254161.255.255.25533,554,430
82162.0.0.0/7162.0.0.1 to 163.255.255.254163.255.255.25533,554,430
83164.0.0.0/7164.0.0.1 to 165.255.255.254165.255.255.25533,554,430
84166.0.0.0/7166.0.0.1 to 167.255.255.254167.255.255.25533,554,430
85168.0.0.0/7168.0.0.1 to 169.255.255.254169.255.255.25533,554,430
86170.0.0.0/7170.0.0.1 to 171.255.255.254171.255.255.25533,554,430
87172.0.0.0/7172.0.0.1 to 173.255.255.254173.255.255.25533,554,430
88174.0.0.0/7174.0.0.1 to 175.255.255.254175.255.255.25533,554,430
89176.0.0.0/7176.0.0.1 to 177.255.255.254177.255.255.25533,554,430
90178.0.0.0/7178.0.0.1 to 179.255.255.254179.255.255.25533,554,430
91180.0.0.0/7180.0.0.1 to 181.255.255.254181.255.255.25533,554,430
92182.0.0.0/7182.0.0.1 to 183.255.255.254183.255.255.25533,554,430
93184.0.0.0/7184.0.0.1 to 185.255.255.254185.255.255.25533,554,430
94186.0.0.0/7186.0.0.1 to 187.255.255.254187.255.255.25533,554,430
95188.0.0.0/7188.0.0.1 to 189.255.255.254189.255.255.25533,554,430
96190.0.0.0/7190.0.0.1 to 191.255.255.254191.255.255.25533,554,430
97192.0.0.0/7192.0.0.1 to 193.255.255.254193.255.255.25533,554,430
98194.0.0.0/7194.0.0.1 to 195.255.255.254195.255.255.25533,554,430
99196.0.0.0/7196.0.0.1 to 197.255.255.254197.255.255.25533,554,430
100198.0.0.0/7198.0.0.1 to 199.255.255.254199.255.255.25533,554,430
101200.0.0.0/7200.0.0.1 to 201.255.255.254201.255.255.25533,554,430
102202.0.0.0/7202.0.0.1 to 203.255.255.254203.255.255.25533,554,430
103204.0.0.0/7204.0.0.1 to 205.255.255.254205.255.255.25533,554,430
104206.0.0.0/7206.0.0.1 to 207.255.255.254207.255.255.25533,554,430
105208.0.0.0/7208.0.0.1 to 209.255.255.254209.255.255.25533,554,430
106210.0.0.0/7210.0.0.1 to 211.255.255.254211.255.255.25533,554,430
107212.0.0.0/7212.0.0.1 to 213.255.255.254213.255.255.25533,554,430
108214.0.0.0/7214.0.0.1 to 215.255.255.254215.255.255.25533,554,430
109216.0.0.0/7216.0.0.1 to 217.255.255.254217.255.255.25533,554,430
110218.0.0.0/7218.0.0.1 to 219.255.255.254219.255.255.25533,554,430
111220.0.0.0/7220.0.0.1 to 221.255.255.254221.255.255.25533,554,430
112222.0.0.0/7222.0.0.1 to 223.255.255.254223.255.255.25533,554,430
113224.0.0.0/7224.0.0.1 to 225.255.255.254225.255.255.25533,554,430
114226.0.0.0/7226.0.0.1 to 227.255.255.254227.255.255.25533,554,430
115228.0.0.0/7228.0.0.1 to 229.255.255.254229.255.255.25533,554,430
116230.0.0.0/7230.0.0.1 to 231.255.255.254231.255.255.25533,554,430
117232.0.0.0/7232.0.0.1 to 233.255.255.254233.255.255.25533,554,430
118234.0.0.0/7234.0.0.1 to 235.255.255.254235.255.255.25533,554,430
119236.0.0.0/7236.0.0.1 to 237.255.255.254237.255.255.25533,554,430
120238.0.0.0/7238.0.0.1 to 239.255.255.254239.255.255.25533,554,430
121240.0.0.0/7240.0.0.1 to 241.255.255.254241.255.255.25533,554,430
122242.0.0.0/7242.0.0.1 to 243.255.255.254243.255.255.25533,554,430
123244.0.0.0/7244.0.0.1 to 245.255.255.254245.255.255.25533,554,430
124246.0.0.0/7246.0.0.1 to 247.255.255.254247.255.255.25533,554,430
125248.0.0.0/7248.0.0.1 to 249.255.255.254249.255.255.25533,554,430
126250.0.0.0/7250.0.0.1 to 251.255.255.254251.255.255.25533,554,430
127252.0.0.0/7252.0.0.1 to 253.255.255.254253.255.255.25533,554,430
128254.0.0.0/7254.0.0.1 to 255.255.255.254255.255.255.25533,554,430

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses